@import (reference) './Cards.less';

#project-board .phase.panel.dragging {
  // Not the dragged ones, it disrupts the drag & drop operations
  // If the dragged card has its own drop targets active
  .card:not(.dragged) .drop.targets {
    visibility: visible;
  }
}

.card.preview {
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
  background-color: @cardPreviewBackground;
  border-radius: @cardBorderRadius;
  box-shadow: rgba(0, 0, 0, 0.125) 0 1px 2px;

  .cardImageContainer, .content {
    cursor: pointer;
  }

  // Fades when dragging cards and card is already linked
  opacity: 1.0;
  transition: opacity 0.25s, background-color 0.25s;

  &.card-enter {
    opacity: 0.01;
    transform: scale(0.9);
    background-color: @postIt;
    will-change: opacity, transform, background-color;
    &.card-enter-active {
      opacity: 1;
      transform: scale(1);
      transition: opacity 250ms ease-out, transform 250ms ease-out, background-color 2500ms ease-out 2500ms;
      &:not(.pinned) {
        background-color: @cardPreviewBackground;
      }
    }
  }

  &.card-leave {
    opacity: 1;
    transform: scale(1);
    will-change: opacity, transform;
    &.card-leave-active {
      opacity: 0.01;
      transform: scale(0.9);
      transition: opacity 250ms ease-in, transform 250ms ease-in;
    }
  }

  .badgesContainer {

    .badges {

      &.in {

      }

      &.out {

      }
    }
  }

  /* Card Layout */
  .cardLayout {
    transition: opacity 0.25s;

    .content {
      .name {
        font-size: 1em; // If we don't specify here, parent card takes over on card details
        font-weight: 500;
      }
    }

    .cardImageContainer {
      position: relative;
      overflow: hidden;
      display: flex;
      align-items: center;
      justify-content: center;
      /*&:first-child {
        border-radius: @cardBorderRadius @cardBorderRadius 0 0;
      }*/
      .cardImage {
        .loader {
          margin: 1em;
        }
      }
    }
  }

  .drop.targets {
    opacity: 0;
    visibility: hidden;
    overflow: hidden;
    border-radius: @cardBorderRadius;

    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    display: flex;
    flex-direction: column;
    align-items: stretch;

    &.opened {
      visibility: visible;
      opacity: 1.0;
    }

    .target {
      display: flex;
      flex: 1 1 auto;
      padding: 2em;
      &.link {
        background-color: fade(@lightOrange, 50%);
        .content {
          flex: 1 1 auto;
          display: flex;
          align-items: center;
          justify-content: center;
          color: @white;
          font-size: 3em;
          text-shadow: @orange 1px 1px 1px;
        }
      }
    }
  }

  .footer {
    display: flex;
    align-items: center;
    font-size: 0.85em;
    line-height: 1.25em;
    padding: 0.5em 1em;
    border-top: 1px solid darken(@lighterColor, 5%);
    background-color: @lighterColor;

    .message {
      flex: 1 1 auto;
      .label {
        font-weight: 300;
      }
      .phase {
        font-weight: 500;
      }
      .date {

      }
    }
    .extra {
      .icon {
        &:last-child {
          margin: 0;
        }
      }
    }
  }

  &.dragged,
  &.faded {
    opacity: 0.5;
  }

  // Only have the card preview fade out when on the board
  // Otherwise the tooltip in the graph was transparent
  .phasesDisplay.board &.snapshot {
    background-color: fade(@lighterColor, 50%);
    .cardLayout {
      opacity: 0.5;
      .metadata {
        border-bottom: none;
      }
    }
  }

  // Only highlight pinned cards when in the board
  .phasesDisplay.board &.pinned {
    background-color: @postIt;
    box-shadow: fade(darken(desaturate(@postIt, 50%), 50%), 12.5%) 0 1px 2px;
    &.snapshot {
      background-color: fade(@postIt, 50%);
    }
    .footer {
      border-top: 1px solid darken(@postIt, 5%);
      background-color: fade(darken(@postIt, 5%), 50%);
    }
  }

  .snapshot-enter, .snapshot-appear {
    opacity: 0.01;
    will-change: opacity;
    &.snapshot-enter-active, &.snapshot-appear-active {
      opacity: 1;
      transition: opacity 500ms ease-out;
    }
  }

  .snapshot-leave {
    opacity: 1;
    will-change: opacity;
    &.snapshot-leave-active {
      opacity: 0.01;
      transition: opacity 500ms ease-in;
    }
  }

  .snapshot.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: fade(@cardPreviewBackground, 85%);

  }

}